← Contacts
Get Contacts By Business ID
Retrieve all contacts associated with a specific business entity.
GET
/contacts/business/:businessIdScope
contacts.readonly
Auth Method
Bearer Token
Token Type
Sub-Account / Company
Header Parameters
| Parameter | Type | Description |
|---|---|---|
Authorizationrequired | string | Bearer {access_token} |
Versionrequired | string | API Version Possible values: 2021-07-28 |
Path Parameters
| Parameter | Type | Description |
|---|---|---|
businessIdrequired | string | The unique ID of the business to retrieve contacts for. |
Query Parameters
| Parameter | Type | Description |
|---|---|---|
locationIdrequired | string | Sub-account ID. |
limit | integer | Number of contacts per page. Default: 20, Max: 100. |
skip | integer | Number of contacts to skip (offset pagination). |
Example RequestcURL
curl -X GET \
'https://services.leadconnectorhq.com/contacts/business/{businessId}?locationId=ve9EPM428h8vShlRW1KT&limit=20' \
-H 'Authorization: Bearer {access_token}' \
-H 'Version: 2021-07-28' \
-H 'Accept: application/json'Response — 200 OK
Example ResponseJSON
{
"contacts": [
{
"id": "ocQHyuzHvuMOe5N5jjXF",
"name": "John Doe",
"email": "[email protected]",
"phone": "+15551234567",
"locationId": "ve9EPM428h8vShlRW1KT",
"companyName": "Acme Corp",
"tags": ["customer"],
"dateAdded": "2024-01-10T12:00:00.000Z"
}
],
"total": 1
}